Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85431 - Boot hang with 2.4.18-24 kernel and Shuttle SS51G
Summary: Boot hang with 2.4.18-24 kernel and Shuttle SS51G
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-02 17:23 UTC by Andy Wray
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:35 UTC


Attachments (Terms of Use)

Description Andy Wray 2003-03-02 17:23:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
After upgrading to kernel 2.4.18-24, the system hangs on boot on a 
Shuttle SS51G.  There is a single hard drive attached to the first IDE
controller, on the SiSE962 chip.  The drive is an IBM DTLA-307020
(20GB, ATA100).  The system does boot with the 2.4.18-10 kernel OK.
The grub settings are:

default=1
timeout=10
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-24.7.xsmp)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.18-24.7xsmp ro root=/dev/hda1 hdc=ide-scsi
        initrd /boot/initrd-2.4.18-24.7.xsmp.img
title Red Hat Linux (2.4.18-10)
        root (hd0,0)
        kernel /boot/vmlinuz-2.4.18-10 ro root=/dev/hda1 hdc=ide-scsi ide0=ata66
        initrd /boot/initrd-2.4.18-10.img

Also, cat /proc/scsi/sis shows:

SiS 5513 DMA 16 chipset

Primary Channel
~~~~~~~~~~~~~~~
Channel Status: O
Operation Mode: Compatible
Prefetch Count: 0
Drive 0:        Postwrite Disabled
                Prefetch  Disabled
                Data Active Time   8 PCICLK
                Data Recovery Time 12 PCICLK
Drive 1:        Postwrite Disabled
                Prefetch  Disabled
                Data Active Time   8 PCICLK
                Data Recovery Time 12 PCICLK
   
Secondary Channel
~~~~~~~~~~~~~~~~~
Channel Status: O
Operation Mode: Compatible
Prefetch Count: 0
Drive 0:        Postwrite Disabled
                Prefetch  Disabled
                Data Active Time   8 PCICLK
                Data Recovery Time 12 PCICLK
Drive 1:        Postwrite Disabled
                Prefetch  Disabled
                Data Active Time   8 PCICLK
                Data Recovery Time 12 PCICLK

The actual point at which the system hangs with the 2.4.18-24 kernel
is:

Uniform Multi-Platform E-IDE driver Revision: 6:31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx

After this I get no further output and I can do nothing with the
system except power cycle or hit the reset button.

Also, I should not that I was running the i686 smp version of the
kernel, although the system is not an SMP box.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Attempt to boot the 2.4.18-24 kernel from the hard drive on a Shuttle
SS51G (using the on-board IDE controller in the SiS962 chip).

Actual Results:  System hung.

Expected Results:  System should have continued booting.

Additional info:

I did try the ide0=ata66 parameter with the 2.4.17-24 kernel, but
this did not help.  I have not tried changing the BIOS settings
for the IDE controller.

Comment 1 Bugzilla owner 2004-09-30 15:40:35 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.